Page MenuHomePhabricator

"extdist" Cloud VPS project jessie deprecation
Closed, ResolvedPublic

Description

The end of life of Debian Jessie is approaching in 2020 and we need to move to Debian Buster (or Stretch) before that date.

All instances in the extdist project need to upgrade as soon as possible. Instances not upgraded by 2019-12-31 may be subject to deletion unless prior arrangements for an extended deadline has been approved by the Cloud VPS administration team.

Remaining Debian Jessie instances (live report):

Listed administrators are:

See also:

More info on current project instances is available via openstack browser

Details

Due Date
Dec 31 2019, 11:59 PM

Event Timeline

StrikerBot triaged this task as Medium priority.Oct 26 2019, 12:31 AM
StrikerBot created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2019, 12:31 AM
bd808 added a subscriber: bd808.Dec 4 2019, 6:26 PM

Ping @Legoktm, @valhallasw

The Cloud Services team would like to have Debian Jessie systems replaced with Debian Buster (or Stretch if necessary) before 2019-12-31. Please do respond of this task with comments if you know you will not be able to meet that target date or have additional questions about what to do or how to do it. Ideally you will create new instances in your Cloud VPS project, test them, and then migrate any final state data to the new instances before deleting the old Jessie instances. If you need more quota space in your project to create new instances in parallel with your existing instances please create a quota request task describing the increase you need and referencing this deprecation task.

I'm actually unsure what needs to happen for these hosts... and not really sure why I'm a maintainer. Probably needed to fix something as admin at some point :-)

From what I can see extdist-04.extdist.eqiad.wmflabs and extdist-05.extdist.eqiad.wmflabs (both on Stretch) have the same puppet roles applied as -01, and all of them seem to function in the same way, e.g.

https://extdist.wmflabs.org/dist/extensions/AbsenteeLandlord-REL1_33-7464707.tar.gz
https://extdist-04.wmflabs.org/dist/extensions/AbsenteeLandlord-REL1_33-7464707.tar.gz
https://extdist-05.wmflabs.org/dist/extensions/AbsenteeLandlord-REL1_33-7464707.tar.gz

so I *think* this just requires flipping the DNS entry. @Legoktm -- does that sound reasonable?

Mentioned in SAL (#wikimedia-cloud) [2019-12-28T23:55:25Z] <legoktm> deleting extdist-01 instance (T236532)

Legoktm closed this task as Resolved.Dec 28 2019, 11:55 PM
Legoktm claimed this task.

so I *think* this just requires flipping the DNS entry. @Legoktm -- does that sound reasonable?

Yep :) done now.